#include <stdio.h>
int main()
{
 int n;
 scanf("%d",&n);
 if(n<=0)
   printf("-1");
 else
 {
   int i, j, k, q=0, pom=n;
   for(i=0;i<=n-1;i++)
   {
     for(k=0;k<q;k++)
       printf(" ");
     q++;
     for(j=0;j<pom+(pom-1);j++)
     {
      if(j%2==1)
	printf("-");
      else
	printf("*");
     }
     pom-=1;
     printf("\n");
   }
 }  
}
